<!--
// Rowley Integrated Development Environment.
//
// Copyright (c) 2001, 2002 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
-->
<gui>
	<!-- Visual C++ 6 Layout -->
	<definelayout name="VisualC6Layout" caption="Visual C++ &amp;6 Layout" statustip="Arrange window layout like Visual C++© 6">
		<window name="TargetsWindow" location="BottomLeft" show="false"/>
		<window name="SymbolsWindow" location="MiddleLeft" show="false"/>
		<window name="ExecutionCountsWindow" location="Bottom" show="false"/>
		<window name="ExecutionTraceWindow" location="Bottom" show="false"/>
		<window name="ProjectWindow" location="TopLeft" show="true"/>
		<window name="OutputWindow" location="Bottom" show="false"/>
		<window name="BreakpointsWindow" location="MiddleLeft" show="false"/>
		<window name="PropertiesWindow" location="BottomLeft" show="true"/>
		<window name="GlobalsWindow" location="MiddleLeft" show="false"/>
		<window name="LocalsWindow" location="MiddleLeft" show="false"/>
		<window name="Watch1Window" location="Bottom" show="false"/>
		<window name="Watch2Window" location="Bottom" show="false"/>
		<window name="Watch3Window" location="Bottom" show="false"/>
		<window name="Watch4Window" location="Bottom" show="false"/>
		<window name="RegistersWindow" location="MiddleLeft" show="false"/>
		<window name="SFRegistersWindow" location="MiddleLeft" show="false"/>
		<window name="CallsWindow" location="MiddleLeft" show="false"/>
		<window name="Memory1Window" location="Bottom" show="false"/>
		<window name="Memory2Window" location="Bottom" show="false"/>
		<window name="Memory3Window" location="Bottom" show="false"/>
		<window name="Memory4Window" location="Bottom" show="false"/>		
		<window name="HelpContentsWindow" location="TopLeft" show="true"/>
		<window name="HelpIndexWindow" location="TopLeft" show="false"/>
		<window name="HelpSearchWindow" location="TopLeft" show="false"/>
		<window name="TipOfTheDayWindow" location="Bottom" show="false"/>
		<window name="FavoritesWindow" location="BottomRight" show="false"/>
		<window name="TerminalEmulatorWindow" location="Bottom" show="false"/>
		<if build="DEBUG">
			<window name="JavaScriptConsoleWindow" location="Bottom" show="false"/>
			<window name="DiskExplorerWindow" location="Bottom" show="false"/>
		</if>
	</definelayout>
	<definelayout name="VisualStudioNETLayout" caption="Visual Studio.&amp;NET Layout" statustip="Arrange window layout like Visual Studio.NET©">
		<window name="TargetsWindow" location="BottomRight" show="false"/>
		<window name="SymbolsWindow" location="MiddleRight" show="false"/>
		<window name="ExecutionCountsWindow" location="Bottom" show="false"/>
		<window name="ExecutionTraceWindow" location="Bottom" show="false"/>
		<window name="ProjectWindow" location="TopRight" show="true"/>
		<window name="OutputWindow" location="Bottom" show="false"/>
		<window name="BreakpointsWindow" location="MiddleRight" show="false"/>
		<window name="PropertiesWindow" location="BottomRight" show="true"/>
		<window name="LocalsWindow" location="MiddleLeft" show="false"/>
		<window name="GlobalsWindow" location="MiddleRight" show="false"/>
		<window name="Watch1Window" location="Bottom" show="false"/>
		<window name="Watch2Window" location="Bottom" show="false"/>
		<window name="Watch3Window" location="Bottom" show="false"/>
		<window name="Watch4Window" location="Bottom" show="false"/>
		<window name="RegistersWindow" location="MiddleRight" show="false"/>
		<window name="SFRegistersWindow" location="MiddleLeft" show="false"/>
		<window name="CallsWindow" location="MiddleRight" show="false"/>
		<window name="Memory1Window" location="Bottom" show="false"/>
		<window name="Memory2Window" location="Bottom" show="false"/>
		<window name="Memory3Window" location="Bottom" show="false"/>
		<window name="Memory4Window" location="Bottom" show="false"/>		
		<window name="HelpContentsWindow" location="TopRight" show="true"/>
		<window name="HelpIndexWindow" location="TopRight" show="false"/>
		<window name="HelpSearchWindow" location="TopRight" show="false"/>
		<window name="TipOfTheDayWindow" location="Bottom" show="false"/>
		<window name="FavoritesWindow" location="BottomLeft" show="false"/>
		<window name="TerminalEmulatorWindow" location="Bottom" show="false"/>
		<if build="DEBUG">
			<window name="JavaScriptConsoleWindow" location="Bottom" show="false"/>
			<window name="DiskExplorerWindow" location="Bottom" show="false"/>
		</if>
	</definelayout>
	<!-- Open Menu -->
	<definemenu name="OpenMenu" caption="&amp;Open">
		<action name="FileOpenFile"/>
		<action name="FileOpenSolution"/>
		<menu name="OpenWithMenu"/>
		<separator/>
		<menu name="RecentFilesMenu"/>
		<menu name="RecentProjectsMenu"/>
	</definemenu>
	<!-- New Menu -->
	<definemenu name="NewMenu" caption="&amp;New">
		<action name="ProjectAddNewFile"/>
		<action name="FileNewBlankFile"/>
		<separator/>
		<action name="ProjectNewBlankSolution"/>
		<action name="ProjectNewProject"/>		
		<separator/>
		<action name="ProjectNewFolder"/>
	</definemenu>
	<!-- Web Browser Text Size Menu -->
	<definemenu name="WebBrowserTextSizeMenu" caption="&amp;Text Size">
		<action name="WebBrowserLargestTextSize"/>
		<action name="WebBrowserLargerTextSize"/>
		<action name="WebBrowserMediumTextSize"/>
		<action name="WebBrowserSmallerTextSize"/>
		<action name="WebBrowserSmallestTextSize"/>
	</definemenu>
	<!-- Standard Toolbar -->
	<definetoolbar name="StandardToolBar" caption="Standard" workspaces="edit,debug">
		<action name="FileNewFileDropdown"/>
		<action name="FileOpenFileDropdown"/>
		<separator/>
		<action name="FileSave"/>
		<action name="FileSaveAll"/>
		<separator/>
		<action name="EditCut"/>
		<action name="EditCopy"/>
		<action name="EditPaste"/>
		<action name="EditDelete"/>
		<separator/>
		<widget name="EditUndoMultiple"/>
		<widget name="EditRedoMultiple"/>
		<separator/>
		<action name="EditLocateNext"/>
		<separator/>
		<action name="StudioWindowDropdown"/>
		<action name="HelpContents"/>
		<action name="WindowListDropdown"/>
	</definetoolbar>
	<!-- Edit Toolbar -->
	<definetoolbar name="TextEditToolBar" caption="Text Edit" workspaces="edit">
		<action name="EditIndent"/>
		<action name="EditOutdent"/>
		<separator/>
		<action name="EditComment"/>
		<action name="EditUncomment"/>
		<separator/>
		<action name="BookmarkToggle"/>
		<action name="BookmarkNext"/>
		<action name="BookmarkPrev"/>
		<action name="BookmarkClearAll"/>
		<separator/>
		<action name="EditFind"/>
		<action name="EditFindNext"/>
		<action name="EditFindPrev"/>
		<action name="EditReplace"/>
		<separator/>
		<action name="EditFindNextFunction"/>
		<action name="EditFindPrevFunction"/>
	</definetoolbar>
	<!-- Build Toolbar -->
	<definetoolbar name="BuildToolBar" caption="Build" workspaces="edit">
		<widget name="BuildActiveProjectComboBox"/>
		<separator/>
		<widget name="BuildConfigurationComboBox"/>
		<separator/>
		<action name="BuildCompile"/>
		<action name="BuildBuildProject"/>
		<action name="BuildBuildSolution"/>
		<action name="BuildCancelBuild"/>
		<separator/>
		<action name="DebugStart"/>
		<action name="DebugReset"/>
		<action name="DebugAttach"/>
		<action name="DebugExecute"/>
		<action name="DebugVerify"/>
		<action name="BreakpointToggle"/>
	</definetoolbar>
	<!-- Debug Toolbar -->
	<definetoolbar name="DebugToolBar" caption="Debug" workspaces="debug">  		
		<action name="DebugGo"/>
		<action name="DebugBreak"/>
		<action name="DebugStop"/>
		<action name="DebugRestart"/>
		<separator/>
		<action name="DebugStepInto"/>
		<action name="DebugStepOver"/>
		<action name="DebugStepOut"/>
		<action name="DebugRunToCursor"/>
		<action name="DebugRaiseInterruptDropdown"/>
		<separator/>
		<action name="DebugQuickWatch"/>
		<separator/>
		<action name="DebugShowNextStatement"/>
		<action name="ShowBreakpointsWindow"/>
		<separator/>
		<action name="ShowCallsWindow"/>
		<action name="ShowLocalsWindow"/>
		<action name="ShowGlobalsWindow"/>
		<action name="ShowRegistersWindow"/>
		<action name="ShowSFRegistersWindow"/>
		<action name="ShowWatch1Window"/>
		<action name="ShowMemory1Window"/>
		<separator/>
		<action name="DebugSourceMode"/>
		<action name="DebugInterleavedMode"/>
		<action name="DebugAssemblyMode"/>
	</definetoolbar>
	<!-- Debug Location Toolbar -->
	<definetoolbar name="DebugLocationToolBar" caption="Debug Location" workspaces="debug">
		<widget name="DebugCallFrameComboBox"/>
		<action name="DebugFrameUp"/>
		<action name="DebugFrameDown"/>
	</definetoolbar>
	<definetoolbar name="MacroRecordingToolBar" caption="Macro Recording" workspaces="edit">
		<action name="MacroPlayRecording"/>
		<separator/>
		<action name="MacroStartRecording"/>
		<action name="MacroPauseRecording"/>
		<action name="MacroStopRecording"/>
		<separator/>
		<action name="MacroCancelRecording"/>
	</definetoolbar>
	<if build="DEBUG">
		<!-- JavaScript Toolbar -->
		<definetoolbar name="JavaScriptToolBar" caption="JavaScript" workspaces="">
		  <action name="JavaScriptRunScript"/>
		  <action name="JavaScriptStopScript"/>
		</definetoolbar>
	</if>
	<!-- Web Browser Toolbar -->
	<definetoolbar name="WebBrowserToolBar" caption="HTML Browser" workspaces="edit">
		<action name="WebBrowserBack"/>
		<action name="WebBrowserForward"/>
		<action name="WebBrowserHome"/>
		<separator/>
		<widget name="WebBrowserHistoryComboBox"/>
		<separator/>
		<action name="HelpSyncContents"/>
		<action name="HelpPrevTopic"/>
		<action name="HelpNextTopic"/>
		<action name="WebBrowserTextSizeDropdown"/>
	</definetoolbar>
	<!-- Open With Menu -->
	<definemenu name="OpenWithMenu" caption="Open Wit&amp;h">
		<action name="FileOpenAsBinary"/>
		<action name="FileOpenAsText"/>
	</definemenu>
	<!-- Status Bar Menu -->
	<definemenu name="StatusBarMenu" caption="St&amp;atus Bar">
		<action name="ToggleTargetDeviceStatus"/>
		<action name="ToggleInsertOverwriteStatus"/>
		<action name="ToggleReadOnlyStatus"/>
		<action name="ToggleCaretPositionStatus"/>
		<separator/>
		<action name="ToggleCapsLockStatus"/>
		<action name="ToggleNumLockStatus"/>
		<action name="ToggleScrollLockStatus"/>
		<separator/>
		<action name="ToggleTimeStatus"/>
		<separator/>
		<action name="ToggleStatusBarSizeGrip"/>
		<separator/>
		<action name="ToggleStatusBar"/>
	</definemenu>
  <if build="NEVER_IN_A_MILLION_YEARS">
	  <!-- Window Dock Position Menu -->
	  <definemenu name="WindowDockPositionMenu" caption="Doc&amp;k Position">
		  <action name="WindowDockTopLeft"/>
		  <action name="WindowDockMiddleLeft"/>
		  <action name="WindowDockBottomLeft"/>
		  <separator/>
		  <action name="WindowDockTopRight"/>
		  <action name="WindowDockMiddleRight"/>
		  <action name="WindowDockBottomRight"/>
		  <separator/>
		  <action name="WindowDockBottom"/>
	  </definemenu>
  </if>
	<!-- Find And Replace Menu -->
	<definemenu name="FindReplaceMenu" caption="&amp;Find and Replace">
		<action name="EditFind"/>
		<action name="ToolFindInFiles"/>
		<separator/>
		<action name="EditReplace"/>
		<if build="DEBUG">
			<action name="ToolReplaceInFiles"/>
		</if>
		<separator/>
		<action name="EditFindNext"/>
		<action name="EditFindPrev"/>
		<action name="EditFindMarkAll"/>
		<separator/>
		<action name="EditLocateNext"/>
		<action name="EditLocatePrev"/>
		<separator/>
		<action name="EditFindNextFunction"/>
		<action name="EditFindPrevFunction"/>
		<separator/>
		<action name="EditFindToggleMatchCase"/>
		<action name="EditFindToggleMatchWholeWord"/>
		<action name="EditFindToggleMatchRegexp"/>
	</definemenu>
	<!-- Bookmark Menu -->
	<definemenu name="BookmarkMenu" caption="&amp;Bookmarks">
		<action name="BookmarkToggle"/>
		<action name="BookmarkNext"/>
		<action name="BookmarkPrev"/>
		<action name="BookmarkFirst"/>
		<action name="BookmarkLast"/>
		<action name="BookmarkClearAll"/>
	</definemenu>
	<!-- Debug Windows Menu -->
	<definemenu name="DebugWindowsMenu" caption="Debug &amp;Windows">
		<action name="ShowBreakpointsWindow"/>
		<separator/>
		<action name="ShowCallsWindow"/>
		<action name="ShowLocalsWindow"/>
		<action name="ShowGlobalsWindow"/>
		<action name="ShowRegistersWindow"/>
		<action name="ShowSFRegistersWindow"/>
		<separator/>
		<action name="ShowWatch1Window"/>
		<action name="ShowWatch2Window"/>
		<action name="ShowWatch3Window"/>
		<action name="ShowWatch4Window"/>
		<separator/>
		<action name="ShowMemory1Window"/>
		<action name="ShowMemory2Window"/>
		<action name="ShowMemory3Window"/>
		<action name="ShowMemory4Window"/>
		<if platform="MSP430">
			<separator/>
			<action name="ShowExecutionCountsWindow"/>
			<action name="ShowExecutionTraceWindow"/>
		</if>
		<if build="DEBUG">
			<separator/>
			<action name="ShowEEMWindow" />
            <if platform="MSP430">
                <action name="ShowEEMStateStorageWindow" />
                <action name="ShowEEMTriggersWindow" />
            </if>
		</if>
	</definemenu>
	<definemenu name="DebugModeMenu" caption="Debug &amp;Mode">
		<action name="DebugSourceMode"/>
		<action name="DebugInterleavedMode"/>
		<action name="DebugAssemblyMode"/>
		<separator/>
		<action name="DebugToggleMode"/>
	</definemenu>
	<!-- Breakpoints Menu -->
	<definemenu name="BreakpointsMenu" caption="&amp;Breakpoints">
		<action name="BreakpointNew"/>
		<action name="BreakpointNewGroup"/>
		<separator/>
		<action name="BreakpointDisableAll"/>
		<action name="BreakpointEnableAll"/>
		<separator/>
		<action name="BreakpointDeleteAll"/>
		<separator/>
		<action name="BreakpointGoToNext"/>
		<action name="BreakpointGoToPrev"/>
	</definemenu>
	<!-- Advanced Edit Menu -->
	<definemenu name="EditAdvancedMenu" caption="Ad&amp;vanced">
		<action name="EditUndoAll"/>
		<action name="EditRedoAll"/>
		<separator/>
		<action name="EditTabify"/>
		<action name="EditUntabify"/>
		<action name="EditUppercase"/>
		<action name="EditLowercase"/>
		<action name="EditSwitchcase"/>
		<action name="EditComment"/>
		<action name="EditUncomment"/>
		<action name="EditIndent"/>
		<action name="EditOutdent"/>
		<action name="EditSortAscending"/>
		<action name="EditSortDescending"/>
		<separator/>
		<action name="EditTransposeWords"/>
		<action name="EditTransposeLines"/>
		<separator/>
		<action name="EditGoToLine"/>
		<action name="EditMatchDelimiter"/>
		<separator/>
		<action name="EditScrollToTop"/>
		<action name="EditScrollToMiddle"/>
		<action name="EditScrollToBottom"/>
		<separator/>
		<action name="EditToggleReadOnly"/>
		<action name="EditToggleVisibleWhitespace"/>
	</definemenu>
	<!-- File Menu -->
	<definemenu name="FileMenu" caption="&amp;File">
		<menu name="NewMenu"/>
		<action name="FileOpenFile"/>
		<menu name="OpenWithMenu"/>
		<action name="FileClose"/>
		<separator/>
		<action name="FileOpenSolution"/>
		<action name="FileCloseSolution"/>
		<separator/>
		<action name="ProjectAddExistingItem"/>
		<action name="ProjectAddNewItem"/>
		<separator/>
		<action name="FileSave"/>
		<action name="FileSaveAs"/>
		<action name="FileSaveAndClose"/>
		<action name="FileSaveAll"/>
		<separator/>
		<action name="FilePageSetup"/>
		<action name="FilePrint"/>
		<separator/>
		<menu name="RecentFilesMenu"/>
		<menu name="RecentProjectsMenu"/>
		<separator/>
		<action name="FileExit"/>
	</definemenu>
	<!-- Edit Menu -->
	<definemenu name="EditMenu" caption="&amp;Edit">
		<action name="EditUndo"/>
		<action name="EditRedo"/>
		<separator/>
		<action name="EditCut"/>
		<action name="EditCopy"/>
		<action name="EditPaste"/>
		<menu caption="C&amp;lipboard">
			<action name="EditCutAppend"/>
			<separator/>
			<action name="EditCutLines"/>
			<action name="EditCutLinesAppend"/>
			<action name="EditCutMarked"/>
			<action name="EditCutMarkedAppend"/>
			<separator/>
			<action name="EditCopyAppend"/>
			<separator/>
			<action name="EditCopyLines"/>
			<action name="EditCopyLinesAppend"/>
			<action name="EditCopyMarked"/>
			<action name="EditCopyMarkedAppend"/>
			<separator/>
			<action name="EditPasteAsNewDocument"/>
			<separator/>
			<action name="EditClearClipboard"/>
		</menu>
		<separator/>
		<action name="EditSelectAll"/>
		<separator/>
		<action name="EditInsertFile"/>
		<separator/>
		<menu name="FindReplaceMenu"/>
		<separator/>
		<action name="EditExpandTemplate"/>
		<!-- action name="ShowCodeTemplates"/ -->
		<menu caption="Editing &amp;Macros">
			<action name="MacroPlayRecording"/>
			<separator/>
			<action name="MacroStartRecording"/>
			<action name="MacroPauseRecording"/>
			<action name="MacroStopRecording"/>
			<separator/>
			<action name="MacroCancelRecording"/>
			<separator/>
			<action name="EditInsertHardTab"/>
			<separator/>
			<action name="EditDeclareCastChar"/>
			<action name="EditDeclareCastShort"/>
			<action name="EditDeclareCastInt"/>
			<action name="EditDeclareCastLong"/>
			<action name="EditDeclareCastVoid"/>
			<separator/>
			<action name="EditDeclareConst"/>
			<action name="EditDeclareVolatile"/>
			<action name="EditDeclareExtern"/>			
		</menu>
		<separator/>
		<menu name="BookmarkMenu"/>
		<menu name="EditAdvancedMenu"/>
	</definemenu>
	<!-- View Menu -->
	<definemenu name="ViewMenu" caption="&amp;View">
		<action name="ShowProjectExplorer"/>
		<action name="ShowSourceNavigator"/>
		<action name="ShowTargetsWindow"/>
		<action name="ShowOutputWindow"/>
		<action name="ShowPropertiesWindow"/>
		<action name="ShowFavoritesWindow"/>
		<action name="ShowTerminalEmulatorWindow"/>
		<action name="ShowDebugIOTerminal"/>
		<if build="DEBUG">
			<action name="ShowJavaScriptConsoleWindow"/>
			<action name="ShowDiskExplorer"/>    		        
		</if>
		<action name="ShowSymbolsWindow"/>
                <menu caption="Ot&amp;her Windows" name="DebugWindowsMenu"/>
                <separator/>
		<menu caption="HTML Brow&amp;ser">
			<action name="ShowWebBrowser"/>
			<separator/>
			<action name="WebBrowserBack"/>
			<action name="WebBrowserForward"/>
			<separator/>
			<action name="WebBrowserHome"/>
			<separator/>
			<action name="WebBrowserNoLinks"/>
			<action name="WebBrowserLink1"/>
			<action name="WebBrowserLink2"/>
			<action name="WebBrowserLink3"/>
			<action name="WebBrowserLink4"/>
			<action name="WebBrowserLink5"/>
			<action name="WebBrowserLink6"/>
			<action name="WebBrowserLink7"/>
			<action name="WebBrowserLink8"/>
			<action name="WebBrowserLink9"/>
			<action name="WebBrowserLink10"/>
			<action name="WebBrowserLink11"/>
			<action name="WebBrowserLink12"/>
			<action name="WebBrowserLink13"/>
			<action name="WebBrowserLink14"/>
			<action name="WebBrowserLink15"/>
			<action name="WebBrowserLink16"/>
			<action name="WebBrowserLink17"/>
			<action name="WebBrowserLink18"/>
			<action name="WebBrowserLink19"/>
			<action name="WebBrowserLink20"/>
			<separator/>
			<menu name="WebBrowserTextSizeMenu"/>
		</menu>
		<menu name="ToolbarMenu"/>
		<menu name="LogMenu"/>
		<menu name="StatusBarMenu"/>
		<menu caption="Outlinin&amp;g">
			<action name="ViewExpandAll"/>
			<action name="ViewCollapseAll"/>
		</menu>
		<separator/>
		<action name="ViewFullScreen"/>
		<!--
		<separator/>
		<action name="ViewRefresh"/> -->
	</definemenu>

	<!-- Batch Build Menu -->
	<definemenu name="BatchBuildMenu" caption="Batc&amp;h Build">
    <action name="ViewBatchBuildConfigurations"/>
    <separator/>
		<action name="BuildBatchBuildProject"/>
		<action name="BuildBatchRebuildProject"/>
		<action name="BuildBatchCleanProject"/>
		<action name="ExportBatchBuildProject"/>
    <separator/>
		<action name="BuildBatchBuildSolution"/>
		<action name="BuildBatchRebuildSolution"/>
		<action name="BuildBatchCleanSolution"/>
		<action name="ExportBatchBuildSolution"/>
  </definemenu>

	<!-- Project Menu -->
	<definemenu name="ProjectMenu" caption="&amp;Project">
		<action name="ProjectAddExistingItem"/>
		<action name="ProjectAddNewItem"/>
		<separator/>
		<action name="BuildCompile"/>
		<separator/>
		<action name="BuildBuildProject"/>
		<action name="BuildRebuildProject"/>
		<action name="BuildCleanProject"/>
		<separator/>
		<action name="BuildBuildSolution"/>
		<action name="BuildRebuildSolution"/>
		<action name="BuildCleanSolution"/>
    <separator/>
    <menu name="BatchBuildMenu"/>
		<separator/>
		<action name="BuildCancelBuild"/>
		<separator/>
		<action name="ProjectDependencies"/>
		<action name="ProjectBuildOrder"/>
		<action name="ProjectConfigurations"/>
		<action name="ViewProjectMacros"/>
		<separator/>
		<menu name="ActiveProjectMenu" caption="Set &amp;Active Project"/>
		<menu name="BuildConfigurationMenu" caption="Se&amp;t Build Configuration"/>
		<separator/>
		<action name="ViewProperties"/>    
	</definemenu>
	<!-- Debug Menu -->
	<definemenu name="DebugMenu" caption="&amp;Debug">
		<menu name="DebugWindowsMenu"/>
		<menu name="BreakpointsMenu"/>
		<menu name="DebugModeMenu"/>
		<separator/>
		<action name="DebugStart"/>
		<action name="DebugReset"/>
		<action name="DebugAttach"/>
		<action name="DebugExecute"/>
		<action name="DebugVerify"/>
		<separator/>
		<action name="DebugGo"/>
		<action name="DebugBreak"/>
		<action name="DebugStop"/>
		<action name="DebugRestart"/>
		<separator/>
		<action name="DebugStepInto"/>
		<action name="DebugStepOver"/>
		<action name="DebugStepOut"/>
		<action name="DebugRunToCursor"/>
		<separator/>
		<action name="DebugSetNextStatement"/>
		<action name="DebugShowNextStatement"/>
		<action name="DebugLocate"/>
		<separator/>
		<action name="DebugQuickWatch"/>
		<action name="DebugAddToWatch"/>
		<action name="DebugRemoveFromWatch"/>
<!--		<separator/>
		<action name="DebugFrameUp"/>
		<action name="DebugFrameDown"/> -->
		<separator/>
		<action name="ViewExceptions"/>
	</definemenu>
	<!-- Tools Menu -->
	<definemenu name="ToolsMenu" caption="&amp;Tools">
		<if build="DEBUG">
			<action name="ToolCheckSyntax"/>
			<action name="ToolShowDifferences"/>
		</if>
		<action name="ToolOptions"/>
	</definemenu>
	<!-- Windows Menu -->
	<definemenu name="WindowMenu" caption="&amp;Window">
		<action name="WindowNewHorizontalTabGroup"/>
		<if build="NEVER_IN_A_MILLION_YEARS">
			<menu name="WindowDockPositionMenu"/>
		</if>
		<separator/>
		<action name="WindowClose"/>
		<action name="WindowCloseAll"/>
		<action name="WindowCloseAllUnedited"/>
		<separator/>
		<action name="WindowDockHide"/>
		<separator/>
		<action name="WindowCascade"/>
		<action name="WindowTileHorizontally"/>
		<action name="WindowTileVertically"/>
		<separator/>
		<action name="WindowNext"/>
		<action name="WindowPrev"/>
		<separator/>
		<action name="WindowNextTabGroup"/>
		<action name="WindowPrevTabGroup"/>
		<separator/>
		<action name="ViewTabbedWorkspace"/>
		<action name="ViewMDIWorkspace"/>
		<separator/>
		<menu name="WindowLayoutsMenu"/>
		<action name="ReverseWorkspaceLayout"/>
		<action name="CustomiseWorkspaceLayout"/>
		<separator/>
		<action name="ShowWindow1"/>
		<action name="ShowWindow2"/>
		<action name="ShowWindow3"/>
		<action name="ShowWindow4"/>
		<action name="ShowWindow5"/>
		<action name="ShowWindow6"/>
		<action name="ShowWindow7"/>
		<action name="ShowWindow8"/>
		<action name="ShowWindow9"/>
		<action name="ShowWindow10"/>
		<action name="ShowWindow11"/>
		<action name="ShowWindow12"/>
		<action name="ShowWindow13"/>
		<action name="ShowWindow14"/>
		<action name="ShowWindow15"/>
		<action name="ShowWindow16"/>
		<action name="ShowWindow17"/>
		<action name="ShowWindow18"/>
		<action name="ShowWindow19"/>
		<action name="ShowWindow20"/>
		<action name="WindowWindows"/>
	</definemenu>
	<!-- Help Menu -->
	<definemenu name="HelpMenu" caption="&amp;Help">
		<action name="HelpF1Help"/>
		<action name="HelpWhatsThis"/>
		<separator/>
		<action name="HelpContents"/>
		<action name="HelpIndex"/>
		<action name="HelpSearch"/>
		<separator/>
		<action name="HelpTipOfTheDay"/>
		<separator/>
		<action name="HelpSyncContents"/>
		<action name="HelpPrevTopic"/>
		<action name="HelpNextTopic"/>
		<separator/>
		<action name="HelpKeyboardMap"/>
		<separator/>
		<menu name="QuickLinksMenu" caption="&amp;Quick Links"/>
		<menu name="FavoritesMenu" caption="&amp;Favorites"/>
		<separator/>
		<action name="HelpAbout"/>
		<!-- item text="Say Hello&amp;!" script="for (var x = 0; x &lt; 100; ++x) WScript.Echo(&quot;Hello\n&quot;);" -->
	</definemenu>
	<definemenu name="WindowsMenu" caption="Editor &amp;Windows">
	    <action name="WindowNoOpenEditors"/>
		<action name="ShowWindow1"/>
		<action name="ShowWindow2"/>
		<action name="ShowWindow3"/>
		<action name="ShowWindow4"/>
		<action name="ShowWindow5"/>
		<action name="ShowWindow6"/>
		<action name="ShowWindow7"/>
		<action name="ShowWindow8"/>
		<action name="ShowWindow9"/>
		<action name="ShowWindow10"/>
		<action name="ShowWindow11"/>
		<action name="ShowWindow12"/>
		<action name="ShowWindow13"/>
		<action name="ShowWindow14"/>
		<action name="ShowWindow15"/>
		<action name="ShowWindow16"/>
		<action name="ShowWindow17"/>
		<action name="ShowWindow18"/>
		<action name="ShowWindow19"/>
		<action name="ShowWindow20"/>
		<separator/>
		<action name="WindowWindows"/>
	</definemenu>
	<definemenu name="StudioWindowMenu">
		<!-- *** If you add windows to this menu, please also add them to the DockWindowContextMenu *** -->
		<action name="ShowProjectExplorer"/>
		<action name="ShowSourceNavigator"/>
		<action name="ShowTargetsWindow"/>
		<action name="ShowBreakpointsWindow"/>
		<action name="ShowOutputWindow"/>
		<action name="ShowPropertiesWindow"/>
		<action name="ShowFavoritesWindow"/>
		<action name="ShowTerminalEmulatorWindow"/>
		<action name="ShowDebugIOTerminal"/>
		<if build="DEBUG">
			<action name="ShowJavaScriptConsoleWindow"/>
			<action name="ShowDiskExplorer"/> 
		</if>
		<action name="ShowSymbolsWindow"/>
		<separator/>
		<action name="HelpContents"/>
		<action name="HelpIndex"/>
		<action name="HelpSearch"/>
		<separator/>
		<action name="ShowCallsWindow"/>
		<action name="ShowLocalsWindow"/>
		<action name="ShowGlobalsWindow"/>
		<action name="ShowRegistersWindow"/>
		<action name="ShowSFRegistersWindow"/>
		<separator/>
		<action name="ShowWatch1Window"/>
		<action name="ShowWatch2Window"/>
		<action name="ShowWatch3Window"/>
		<action name="ShowWatch4Window"/>
		<separator/>
		<action name="ShowMemory1Window"/>
		<action name="ShowMemory2Window"/>
		<action name="ShowMemory3Window"/>
		<action name="ShowMemory4Window"/>
		<if platform="MSP430">
			<separator/>
			<action name="ShowExecutionCountsWindow"/>
			<action name="ShowExecutionTraceWindow"/>
		</if>
	</definemenu>
	<!-- Main Menu Bar -->
	<definemenubar name="MainMenuBar">
		<menu name="FileMenu"/>
		<menu name="EditMenu"/>
		<menu name="ViewMenu"/>
		<menu name="ProjectMenu"/>
		<menu name="DebugMenu"/>
		<menu name="ToolsMenu"/>
		<menu name="TargetMenu" />
		<menu name="WindowMenu"/>
		<menu name="HelpMenu"/>
	</definemenubar>
	<!-- Dock Menu (right click on tool area) -->
	<definemenu name="DockWindowContextMenu" caption="&amp;Dock Windows">
		<!-- *** If you add windows to this menu, please also add them to the StudioWindowsMenu *** -->
		<menu name="ToolbarMenu"/>
		<menu name="StatusBarMenu"/>
		<separator/>
		<action name="ShowProjectExplorer"/>
		<action name="ShowSourceNavigator"/>
		<action name="ShowTargetsWindow"/>
		<action name="ShowBreakpointsWindow"/>
		<action name="ShowOutputWindow"/>
		<action name="ShowPropertiesWindow"/>
		<action name="ShowFavoritesWindow"/>
		<action name="ShowTerminalEmulatorWindow"/>
		<action name="ShowDebugIOTerminal"/>
		<if build="DEBUG">
			<action name="ShowJavaScriptConsoleWindow"/>
			<action name="ShowDiskExplorer"/>
			<action name="ShowEEMWindow" />
      <if platform="MSP430">
        <action name="ShowEEMStateStorageWindow" />
        <action name="ShowEEMTriggersWindow" />
      </if>
		</if>
		<action name="ShowSymbolsWindow"/>
		<separator/>
		<action name="HelpContents"/>
		<action name="HelpIndex"/>
		<action name="HelpSearch"/>
		<separator/>
		<action name="ShowCallsWindow"/>
		<action name="ShowLocalsWindow"/>
		<action name="ShowGlobalsWindow"/>
		<action name="ShowRegistersWindow"/>
		<action name="ShowSFRegistersWindow"/>
		<separator/>
		<action name="ShowWatch1Window"/>
		<action name="ShowWatch2Window"/>
		<action name="ShowWatch3Window"/>
		<action name="ShowWatch4Window"/>
		<separator/>
		<action name="ShowMemory1Window"/>
		<action name="ShowMemory2Window"/>
		<action name="ShowMemory3Window"/>
		<action name="ShowMemory4Window"/>
		<if platform="MSP430">
			<separator/>
			<action name="ShowExecutionCountsWindow"/>
			<action name="ShowExecutionTraceWindow"/>
		</if>
	</definemenu>
	<!-- HTML Viewer context menu -->
	<definemenu name="WebBrowserContextMenu">
		<action name="WebBrowserBack"/>
		<action name="WebBrowserForward"/>
		<action name="WebBrowserHome"/>
		<separator/>
		<action name="EditSelectAll"/>
		<separator/>
		<menu name="WebBrowserTextSizeMenu"/>
		<separator/>
		<action name="FilePrint"/>
		<action name="ViewRefresh"/>
	</definemenu>
	<!-- Dock site tab context menu -->
	<definemenu name="DockTabContextMenu">
		<action name="WindowDockHide"/>
		<separator/>
		<action name="WindowDockTopLeft"/>
		<action name="WindowDockMiddleLeft"/>
		<action name="WindowDockBottomLeft"/>
		<separator/>
		<action name="WindowDockTopRight"/>
		<action name="WindowDockMiddleRight"/>
		<action name="WindowDockBottomRight"/>
		<separator/>
		<action name="WindowDockBottom"/>
	</definemenu>
	<!-- A menu containing things that we have but are not published in other menus -->
	<definemenu name="OtherMenu"/>
</gui>
